Bug 1698270 - flash-player-ppapi / chromium-pepper-flash not working on systemwide F30 PPAPI browsers
Summary: flash-player-ppapi / chromium-pepper-flash not working on systemwide F30 PPAP...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: chromium
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-10 00:58 UTC by Sebastian
Modified: 2020-05-26 15:38 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 15:38:47 UTC
Type: Bug


Attachments (Terms of Use)
The-not-allowed-sign1 (204.06 KB, image/png)
2019-04-10 00:58 UTC, Sebastian
no flags Details
a-puzzle-piece-2 (1.81 MB, image/png)
2019-04-10 01:01 UTC, Sebastian
no flags Details
this-is-how-a-working-flash-should-look-like (395.45 KB, image/png)
2019-04-10 08:52 UTC, Sebastian
no flags Details

Description Sebastian 2019-04-10 00:58:35 UTC
Created attachment 1554003 [details]
The-not-allowed-sign1

Description of problem:
libpepflashplayer.so is not loading on Fedora 30.

You can try any libpepflashplayer.so in any PPAPI browser (Chrome, Chromium, Opera, Vivaldi) and they all will fail.

Version-Release number of selected component (if applicable):
flash-player-ppapi-32.0.0.142-release.x86_64.rpm
chromium-pepper-flash-29.0.0.113-1.fc27.x86_64.rpm
chromium-pepper-flash-31.0.0.108-1.fc28.x86_64.rpm
chromium-pepper-flash-31.0.0.122-1.fc30.x86_64.rpm


How reproducible:
Upgrade from F28 or F29 with working flashplayer to F30.

Or boot up a Live-ISO of F30, enable the Adobe and/or russianfedora-repo, and install either of these packages or both of them: chromium-pepper-flash or flash-player-ppapi.

Open a flash website and allow Flash to be executed on the website settings.


Actual results:
A "not allowed / not available sign", i will provide an attachment image of this.

Expected results:
A working Flash in opera-stable, opera-developer, opera-beta, chromium, vivaldi-stable. As the same /home is used perfectly with working Flashplayer on all PPAPI-Browsers on my Fedora 29

Additional info:
As you know that an upgrade from F29 to F30 is not possible at the moment because of the superfamous accepted blocker-bug you have heard of for sure, i installed F28 and enabled flash and played my flashgame with F28. Then i upgraded that installation from there to F30. Flash broke immediately systemwide.

Comment 1 Sebastian 2019-04-10 01:01:53 UTC
Created attachment 1554004 [details]
a-puzzle-piece-2

Comment 2 Sebastian 2019-04-10 08:52:40 UTC
Created attachment 1554128 [details]
this-is-how-a-working-flash-should-look-like

Comment 3 Tom "spot" Callaway 2019-04-11 14:05:21 UTC
https://bugs.chromium.org/p/chromium/issues/detail?id=949312

Comment 4 Sebastian 2019-04-12 21:13:05 UTC
I can confirm! glibc 2.29 is the culprit!

Fortunately, i tested with a F29-live-ISO. Flash stopped working after dnf update glibc --releasever=30. Unfortunately, i tried to downgrade and failed. distro-sync glibc --releasever=29 broke the live-system and rendered it totally unusable. So, there is no temporary solution to my real F30 installation, i guess.

Should i report the issue upstream to the glibc-Developers or are they already aware of this?

Comment 5 Allan Lewis 2019-05-17 09:43:00 UTC
If I run `google-chrome-stable` from a terminal and try to load some Flash content, I see the following error:

    [17713:17713:0517/104100.346213:ERROR:buffer_manager.cc(488)] [.DisplayCompositor]GL ERROR :GL_INVALID_OPERATION : glBufferData: <- error from previous GL command

Comment 6 Allan Lewis 2019-06-10 11:18:37 UTC
On Fedora 30, this appears to have been fixed in glibc-2.29-15.fc30.x86_64.

Comment 7 Ben Cotton 2020-04-30 21:49:40 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Ben Cotton 2020-05-26 15:38:47 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.